package com.mdd.admin.vo.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("余额记录列表Vo")
public class FinanceWalletListVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("记录ID")
   private Integer id;
   @ApiModelProperty("用户编号")
   private String userSn;
   @ApiModelProperty("u屏幕估计头皮屑")
   private String avatar;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("变动金额")
   private BigDecimal changeAmount;
   @ApiModelProperty("剩余金额")
   private BigDecimal leftAmount;
   @ApiModelProperty("变动类型")
   private String changeType;
   @ApiModelProperty("来源单号")
   private String sourceSn;
   @ApiModelProperty("记录时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public String getUserSn() {
      return this.userSn;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getNickname() {
      return this.nickname;
   }

   public BigDecimal getChangeAmount() {
      return this.changeAmount;
   }

   public BigDecimal getLeftAmount() {
      return this.leftAmount;
   }

   public String getChangeType() {
      return this.changeType;
   }

   public String getSourceSn() {
      return this.sourceSn;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setUserSn(String userSn) {
      this.userSn = userSn;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setChangeAmount(BigDecimal changeAmount) {
      this.changeAmount = changeAmount;
   }

   public void setLeftAmount(BigDecimal leftAmount) {
      this.leftAmount = leftAmount;
   }

   public void setChangeType(String changeType) {
      this.changeType = changeType;
   }

   public void setSourceSn(String sourceSn) {
      this.sourceSn = sourceSn;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceWalletListVo)) {
         return false;
      } else {
         FinanceWalletListVo other = (FinanceWalletListVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$userSn = this.getUserSn();
            Object other$userSn = other.getUserSn();
            if (this$userSn == null) {
               if (other$userSn != null) {
                  return false;
               }
            } else if (!this$userSn.equals(other$userSn)) {
               return false;
            }

            label105: {
               Object this$avatar = this.getAvatar();
               Object other$avatar = other.getAvatar();
               if (this$avatar == null) {
                  if (other$avatar == null) {
                     break label105;
                  }
               } else if (this$avatar.equals(other$avatar)) {
                  break label105;
               }

               return false;
            }

            Object this$nickname = this.getNickname();
            Object other$nickname = other.getNickname();
            if (this$nickname == null) {
               if (other$nickname != null) {
                  return false;
               }
            } else if (!this$nickname.equals(other$nickname)) {
               return false;
            }

            label91: {
               Object this$changeAmount = this.getChangeAmount();
               Object other$changeAmount = other.getChangeAmount();
               if (this$changeAmount == null) {
                  if (other$changeAmount == null) {
                     break label91;
                  }
               } else if (this$changeAmount.equals(other$changeAmount)) {
                  break label91;
               }

               return false;
            }

            Object this$leftAmount = this.getLeftAmount();
            Object other$leftAmount = other.getLeftAmount();
            if (this$leftAmount == null) {
               if (other$leftAmount != null) {
                  return false;
               }
            } else if (!this$leftAmount.equals(other$leftAmount)) {
               return false;
            }

            label77: {
               Object this$changeType = this.getChangeType();
               Object other$changeType = other.getChangeType();
               if (this$changeType == null) {
                  if (other$changeType == null) {
                     break label77;
                  }
               } else if (this$changeType.equals(other$changeType)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$sourceSn = this.getSourceSn();
               Object other$sourceSn = other.getSourceSn();
               if (this$sourceSn == null) {
                  if (other$sourceSn == null) {
                     break label70;
                  }
               } else if (this$sourceSn.equals(other$sourceSn)) {
                  break label70;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceWalletListVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $userSn = this.getUserSn();
      result = result * 59 + ($userSn == null ? 43 : $userSn.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $changeAmount = this.getChangeAmount();
      result = result * 59 + ($changeAmount == null ? 43 : $changeAmount.hashCode());
      Object $leftAmount = this.getLeftAmount();
      result = result * 59 + ($leftAmount == null ? 43 : $leftAmount.hashCode());
      Object $changeType = this.getChangeType();
      result = result * 59 + ($changeType == null ? 43 : $changeType.hashCode());
      Object $sourceSn = this.getSourceSn();
      result = result * 59 + ($sourceSn == null ? 43 : $sourceSn.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceWalletListVo(id=" + this.getId() + ", userSn=" + this.getUserSn() + ", avatar=" + this.getAvatar() + ", nickname=" + this.getNickname() + ", changeAmount=" + this.getChangeAmount() + ", leftAmount=" + this.getLeftAmount() + ", changeType=" + this.getChangeType() + ", sourceSn=" + this.getSourceSn() + ", createTime=" + this.getCreateTime() + ")";
   }
}
